Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Module Categories

List
GET /taskmanagementmodules/{moduleId}/categories
https://api.uat.relesystest.net/api/v1.4/taskmanagementmodules/{moduleId}/categories
Get a list of task management module categories.

Default sort is by creationDateTime in ascending order.

Possible task access values:
  • Everywhere
  • Portal
  • App
To filter by color, use the URL-encoded value %23 instead of the # symbol.
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
Query String
color string Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
name string Filterable Sortable optional
taskAccess string Filterable Possible values:

Everywhere
App
Portal
optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":3,"data":[{"id":"7881c15e-b454-4877-8831-df80f361168c","name":"Compliance","locales":[{"culture":"en-GB","title":"Compliance"},{"culture":"da-DK","title":"Overholdelse"}],"color":"#FF5733","taskAccess":"Everywhere","creationDateTime":"2026-06-13T17:42:46.6164292+00:00"},{"id":"b095f406-f0f9-4789-94cb-75841cabb14c","name":"Safety","locales":[{"culture":"en-GB","title":"Safety"}],"color":"#33FF57","taskAccess":"App","creationDateTime":"2026-06-18T17:42:46.6164292+00:00"},{"id":"11b4ce8e-3a0b-45cc-98a7-10c3d0eb21cc","name":"Maintenance","locales":[{"culture":"en-GB","title":"Maintenance"}],"color":"#3357FF","taskAccess":"Portal","creationDateTime":"2026-06-23T17:42:46.6164292+00:00"}]}
object
  count integer      
  data array[object]      
   color string      
   creationDateTime datetimeoffset      
   id string / guid      
   locales array[object]      
    culture string      
    title string      
   name string      
   taskAccess string      
  nextUrl string      
  previousUrl string